Summary: Falkon - Web browser based on QtWebKit
Summary(de): Falkon - Webbrowser der auf QtWebKit basiert
Name:		falkon
Version:	2.1.99
Release:	%mkrel 3
License:	BSD-like
Group:		Networking/WWW
URL:		https://github.com/KDE/falkon
Source0:	falkon-master.zip
#--------------------------------
BuildRequires: %{_lib}hunspell-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}x11-devel
#--------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5webkit-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5webengine-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: %{_lib}qt5-database-plugin-sqlite
Requires: qtwebengine5
Requires: %{_lib}qt5sql5
Requires: %{_lib}qt5quickwidgets5

Conflicts: qupzilla

%description
Falkon is a new and very fast World Wide Web Browser
which uses Qt Framework and its QtWebKit rendering core.
It is a lightweight browser with some advanced functions
like integrated AdBlock, Search Engines Manager, Theming
support, Speed Dial and SSL Certificate manager.

%description -l de
Falkon ist ein neuer und sehr schneller World Wide Web 
Browser, der das Qt Framework und den QtWebKit Rendering
Kern nutzt. Es ist ein Resourcen schonender Browser mit 
erweiterten Funktionen, wie integriertem Werbeblocker, 
Suchmaschienenverwaltung, Themensupport, Schnellverbindung und 
SSL Zertifikatemanager.

%prep
%setup -qn falkon-master

%build
export USE_LIBPATH="/usr/lib64"
export FALKON_PREFIX="/usr"

%cmake_qt5
%make

%install
%{__rm} -rf %{buildroot}
%make_install -C build

#dont need this
#rm -f %buildroot/%{_libdir}/libQupZilla.so

cat > %{name}.lang << EOF
%lang(ja) /usr/share/falkon/locale/qt_ja.qm
%lang(RU) /usr/share/falkon/locale/ru_RU.qm
%lang(PT) /usr/share/falkon/locale/pt_PT.qm
%lang(it) /usr/share/falkon/locale/qt_it.qm
%lang(fa) /usr/share/falkon/locale/qt_fa.qm
%lang(RS) /usr/share/falkon/locale/sr_RS.qm
%lang(pt) /usr/share/falkon/locale/qt_pt.qm
%lang(uk) /usr/share/falkon/locale/qt_uk.qm
%lang(sk) /usr/share/falkon/locale/qt_sk.qm
%lang(GR) /usr/share/falkon/locale/el_GR.qm
%lang(JP) /usr/share/falkon/locale/ja_JP.qm
%lang(RO) /usr/share/falkon/locale/ro_RO.qm
%lang(sr_RS) /usr/share/falkon/locale/qt_sr_RS.qm
%lang(zh_CN) /usr/share/falkon/locale/qt_zh_CN.qm
%lang(SE) /usr/share/falkon/locale/sv_SE.qm
%lang(CZ) /usr/share/falkon/locale/cs_CZ.qm
%lang(VE) /usr/share/falkon/locale/es_VE.qm
%lang(ID) /usr/share/falkon/locale/id_ID.qm
%lang(es) /usr/share/falkon/locale/qt_es.qm
%lang(de) /usr/share/falkon/locale/qt_de.qm
%lang(IR) /usr/share/falkon/locale/fa_IR.qm
%lang(cs) /usr/share/falkon/locale/qt_cs.qm
%lang(GE) /usr/share/falkon/locale/ka_GE.qm
%lang(ES) /usr/share/falkon/locale/es_ES.qm
%lang(UA) /usr/share/falkon/locale/uk_UA.qm
%lang(hu) /usr/share/falkon/locale/qt_hu.qm
%lang(IT) /usr/share/falkon/locale/it_IT.qm
%lang(CN) /usr/share/falkon/locale/zh_CN.qm
%lang(nl) /usr/share/falkon/locale/qt_nl.qm
%lang(sr_BA) /usr/share/falkon/locale/qt_sr_BA.qm
%lang(SK) /usr/share/falkon/locale/sk_SK.qm
%lang(BA) /usr/share/falkon/locale/sr_BA.qm
%lang(zh_TW) /usr/share/falkon/locale/qt_zh_TW.qm
%lang(HU) /usr/share/falkon/locale/hu_HU.qm
%lang(PL) /usr/share/falkon/locale/pl_PL.qm
%lang(sv) /usr/share/falkon/locale/qt_sv.qm
%lang(DE) /usr/share/falkon/locale/de_DE.qm
%lang(TW) /usr/share/falkon/locale/zh_TW.qm
%lang(fr) /usr/share/falkon/locale/qt_fr.qm
%lang(NL) /usr/share/falkon/locale/nl_NL.qm
%lang(el) /usr/share/falkon/locale/qt_el.qm
%lang(BR) /usr/share/falkon/locale/pt_BR.qm
%lang(pl) /usr/share/falkon/locale/qt_pl.qm
%lang(FR) /usr/share/falkon/locale/fr_FR.qm
%lang(ru) /usr/share/falkon/locale/qt_ru.qm
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/falkon
%{_libdir}/libFalkonPrivate.so.2
%{_libdir}/libFalkonPrivate.so.2.1.99
%{_datadir}/applications/org.kde.Falkon.desktop
%{_datadir}/bash-completion/completions/falkon
%{_datadir}/falkon/themes/breathe/images/add.png
%{_datadir}/falkon/themes/breathe/images/find.png
%{_datadir}/falkon/themes/breathe/images/goto.png
%{_datadir}/falkon/themes/breathe/images/home.png
%{_datadir}/falkon/themes/breathe/images/library-bg.png
%{_datadir}/falkon/themes/breathe/images/lineedit-bg.png
%{_datadir}/falkon/themes/breathe/images/login.png
%{_datadir}/falkon/themes/breathe/images/menu.png
%{_datadir}/falkon/themes/breathe/images/navigation-dropdown.png
%{_datadir}/falkon/themes/breathe/images/next.png
%{_datadir}/falkon/themes/breathe/images/previous.png
%{_datadir}/falkon/themes/breathe/images/reload.png
%{_datadir}/falkon/themes/breathe/images/restore.png
%{_datadir}/falkon/themes/breathe/images/semi-transp.png
%{_datadir}/falkon/themes/breathe/images/siteicon-bg-a.png
%{_datadir}/falkon/themes/breathe/images/siteicon-bg-h.png
%{_datadir}/falkon/themes/breathe/images/siteicon-bg.png
%{_datadir}/falkon/themes/breathe/images/siteicon-secure-bg-a.png
%{_datadir}/falkon/themes/breathe/images/siteicon-secure-bg-h.png
%{_datadir}/falkon/themes/breathe/images/siteicon-secure-bg.png
%{_datadir}/falkon/themes/breathe/images/star-a.png
%{_datadir}/falkon/themes/breathe/images/star.png
%{_datadir}/falkon/themes/breathe/images/stop.png
%{_datadir}/falkon/themes/breathe/images/tab-left.png
%{_datadir}/falkon/themes/breathe/images/tab-right.png
%{_datadir}/falkon/themes/breathe/images/tabs-list.png
%{_datadir}/falkon/themes/breathe/images/transp.png
%{_datadir}/falkon/themes/breathe/images/trash.png
%{_datadir}/falkon/themes/breathe/images/websearch-bg-a.png
%{_datadir}/falkon/themes/breathe/images/websearch-bg-h.png
%{_datadir}/falkon/themes/breathe/images/websearch-bg.png
%{_datadir}/falkon/themes/breathe/main.css
%{_datadir}/falkon/themes/breathe/rtl.css
%{_datadir}/falkon/themes/breathe/theme.info
%{_datadir}/falkon/themes/breathe/theme.png
%{_datadir}/falkon/themes/chrome/images/gotoaddress.png
%{_datadir}/falkon/themes/chrome/images/key.png
%{_datadir}/falkon/themes/chrome/images/library-bg.png
%{_datadir}/falkon/themes/chrome/images/lineedit-bg.png
%{_datadir}/falkon/themes/chrome/images/navigation-addtab.png
%{_datadir}/falkon/themes/chrome/images/navigation-back.png
%{_datadir}/falkon/themes/chrome/images/navigation-dropdown.png
%{_datadir}/falkon/themes/chrome/images/navigation-forward.png
%{_datadir}/falkon/themes/chrome/images/navigation-home.png
%{_datadir}/falkon/themes/chrome/images/navigation-reload.png
%{_datadir}/falkon/themes/chrome/images/navigation-stop.png
%{_datadir}/falkon/themes/chrome/images/navigation-supermenu.png
%{_datadir}/falkon/themes/chrome/images/search-icon.png
%{_datadir}/falkon/themes/chrome/images/searchbar-provider-bg.png
%{_datadir}/falkon/themes/chrome/images/semi-transp.png
%{_datadir}/falkon/themes/chrome/images/siteicon-bg.png
%{_datadir}/falkon/themes/chrome/images/siteicon-secure-bg.png
%{_datadir}/falkon/themes/chrome/images/star-a.png
%{_datadir}/falkon/themes/chrome/images/star.png
%{_datadir}/falkon/themes/chrome/images/tab-left-arrow.png
%{_datadir}/falkon/themes/chrome/images/tab-right-arrow.png
%{_datadir}/falkon/themes/chrome/images/tabbar-addtab.png
%{_datadir}/falkon/themes/chrome/images/tabs-bg.png
%{_datadir}/falkon/themes/chrome/images/tabs-list-button.png
%{_datadir}/falkon/themes/chrome/images/toolbar-bg.png
%{_datadir}/falkon/themes/chrome/images/toolbutton-a.png
%{_datadir}/falkon/themes/chrome/images/toolbutton-h.png
%{_datadir}/falkon/themes/chrome/images/toolbutton.png
%{_datadir}/falkon/themes/chrome/linux.css
%{_datadir}/falkon/themes/chrome/main.css
%{_datadir}/falkon/themes/chrome/rtl.css
%{_datadir}/falkon/themes/chrome/theme.info
%{_datadir}/falkon/themes/chrome/theme.license
%{_datadir}/falkon/themes/chrome/theme.png
%{_datadir}/falkon/themes/chrome/windows.css
%{_datadir}/falkon/themes/linux/images/arrow-down.svg
%{_datadir}/falkon/themes/linux/images/goto.svg
%{_datadir}/falkon/themes/linux/images/library-bg.png
%{_datadir}/falkon/themes/linux/images/menu.svg
%{_datadir}/falkon/themes/linux/images/semi-transp.png
%{_datadir}/falkon/themes/linux/images/star-a.svg
%{_datadir}/falkon/themes/linux/images/star.svg
%{_datadir}/falkon/themes/linux/images/tab-left-arrow.svg
%{_datadir}/falkon/themes/linux/images/tab-right-arrow.svg
%{_datadir}/falkon/themes/linux/images/transp.png
%{_datadir}/falkon/themes/linux/images/user.svg
%{_datadir}/falkon/themes/linux/images/websearch-bg.png
%{_datadir}/falkon/themes/linux/main.css
%{_datadir}/falkon/themes/linux/rtl.css
%{_datadir}/falkon/themes/linux/theme.info
%{_datadir}/falkon/themes/linux/theme.png
%{_datadir}/falkon/themes/mac/images/gotoaddress.png
%{_datadir}/falkon/themes/mac/images/key.png
%{_datadir}/falkon/themes/mac/images/library-bg.png
%{_datadir}/falkon/themes/mac/images/lineedit-bg.png
%{_datadir}/falkon/themes/mac/images/navigation-addtab.png
%{_datadir}/falkon/themes/mac/images/navigation-back.png
%{_datadir}/falkon/themes/mac/images/navigation-dropdown.png
%{_datadir}/falkon/themes/mac/images/navigation-forward.png
%{_datadir}/falkon/themes/mac/images/navigation-home.png
%{_datadir}/falkon/themes/mac/images/navigation-reload.png
%{_datadir}/falkon/themes/mac/images/navigation-stop.png
%{_datadir}/falkon/themes/mac/images/navigation-supermenu.png
%{_datadir}/falkon/themes/mac/images/search-icon.png
%{_datadir}/falkon/themes/mac/images/searchbar-provider-bg.png
%{_datadir}/falkon/themes/mac/images/semi-transp.png
%{_datadir}/falkon/themes/mac/images/siteicon-bg.png
%{_datadir}/falkon/themes/mac/images/siteicon-secure-bg.png
%{_datadir}/falkon/themes/mac/images/splitter.png
%{_datadir}/falkon/themes/mac/images/star-a.png
%{_datadir}/falkon/themes/mac/images/star.png
%{_datadir}/falkon/themes/mac/images/tab-left-arrow.png
%{_datadir}/falkon/themes/mac/images/tab-right-arrow.png
%{_datadir}/falkon/themes/mac/images/tabbar-addtab.png
%{_datadir}/falkon/themes/mac/images/tabs-bg.png
%{_datadir}/falkon/themes/mac/images/tabs-list-button.png
%{_datadir}/falkon/themes/mac/images/tabs-list-button_rtl.png
%{_datadir}/falkon/themes/mac/images/toolbar-bg.png
%{_datadir}/falkon/themes/mac/images/transp.png
%{_datadir}/falkon/themes/mac/images/user-trash-full.png
%{_datadir}/falkon/themes/mac/linux.css
%{_datadir}/falkon/themes/mac/main.css
%{_datadir}/falkon/themes/mac/rtl.css
%{_datadir}/falkon/themes/mac/theme.info
%{_datadir}/falkon/themes/mac/theme.license
%{_datadir}/falkon/themes/mac/theme.png
%{_datadir}/falkon/themes/mac/windows.css
%{_datadir}/falkon/themes/windows/images/gotoaddress.png
%{_datadir}/falkon/themes/windows/images/key.png
%{_datadir}/falkon/themes/windows/images/library-bg.png
%{_datadir}/falkon/themes/windows/images/lineedit-bg.png
%{_datadir}/falkon/themes/windows/images/navigation-addtab.png
%{_datadir}/falkon/themes/windows/images/navigation-back.png
%{_datadir}/falkon/themes/windows/images/navigation-dropdown.png
%{_datadir}/falkon/themes/windows/images/navigation-forward.png
%{_datadir}/falkon/themes/windows/images/navigation-home.png
%{_datadir}/falkon/themes/windows/images/navigation-reload.png
%{_datadir}/falkon/themes/windows/images/navigation-stop.png
%{_datadir}/falkon/themes/windows/images/navigation-supermenu.png
%{_datadir}/falkon/themes/windows/images/search-icon.png
%{_datadir}/falkon/themes/windows/images/searchbar-provider-bg.png
%{_datadir}/falkon/themes/windows/images/semi-transp.png
%{_datadir}/falkon/themes/windows/images/siteicon-bg.png
%{_datadir}/falkon/themes/windows/images/siteicon-secure-bg.png
%{_datadir}/falkon/themes/windows/images/star-a.png
%{_datadir}/falkon/themes/windows/images/star.png
%{_datadir}/falkon/themes/windows/images/tab-active-bg.png
%{_datadir}/falkon/themes/windows/images/tab-deactive-bg.png
%{_datadir}/falkon/themes/windows/images/tab-deactive-hover-bg.png
%{_datadir}/falkon/themes/windows/images/tab-left-arrow.png
%{_datadir}/falkon/themes/windows/images/tab-right-arrow.png
%{_datadir}/falkon/themes/windows/images/tabbar-addtab-outside.png
%{_datadir}/falkon/themes/windows/images/tabbar-addtab.png
%{_datadir}/falkon/themes/windows/images/tabbar-addtab_rtl.png
%{_datadir}/falkon/themes/windows/images/tabs-bg.png
%{_datadir}/falkon/themes/windows/images/tabs-list-button.png
%{_datadir}/falkon/themes/windows/images/toolbar-bg.png
%{_datadir}/falkon/themes/windows/images/transp.png
%{_datadir}/falkon/themes/windows/images/user-trash-full.png
%{_datadir}/falkon/themes/windows/linux.css
%{_datadir}/falkon/themes/windows/main.css
%{_datadir}/falkon/themes/windows/rtl.css
%{_datadir}/falkon/themes/windows/theme.info
%{_datadir}/falkon/themes/windows/theme.license
%{_datadir}/falkon/themes/windows/theme.png
%{_datadir}/falkon/themes/windows/windows.css
%{_datadir}/icons/hicolor/128x128/apps/qupzilla.png
%{_datadir}/icons/hicolor/16x16/apps/qupzilla.png
%{_datadir}/icons/hicolor/256x256/apps/qupzilla.png
%{_datadir}/icons/hicolor/32x32/apps/qupzilla.png
%{_datadir}/icons/hicolor/48x48/apps/qupzilla.png
%{_datadir}/icons/hicolor/64x64/apps/qupzilla.png
%{_datadir}/metainfo/org.kde.Falkon.appdata.xml
%{_datadir}/pixmaps/qupzilla.png
%{_libdir}/plugins/falkon/AutoScroll.so
%{_libdir}/plugins/falkon/FlashCookieManager.so
%{_libdir}/plugins/falkon/GnomeKeyringPasswords.so
%{_libdir}/plugins/falkon/GreaseMonkey.so
%{_libdir}/plugins/falkon/ImageFinder.so
%{_libdir}/plugins/falkon/KWalletPasswords.so
%{_libdir}/plugins/falkon/MouseGestures.so
%{_libdir}/plugins/falkon/PIM.so
%{_libdir}/plugins/falkon/StatusBarIcons.so
%{_libdir}/plugins/falkon/TabManager.so

%changelog
* Tue Oct 31 2017 bb2 <bb2> - 2.1.99-3pclos2017
- conflict with qupzilla instead of obsolete

* Sun Oct 29 2017 bb2 <bb2> - 2.1.99-2pclos2017
- update from git
